/**
 * @file
 * rtub: NodeView Ajax call functionality.
 */

(function ($, Drupal, drupalSettings) {

  'use strict';

  var initialized;

  function init() {
    if (!initialized) {
      initialized = true;
      var eData = drupalSettings.rtub.nodeview.event_data;
      var user_id = drupalSettings.rtub.nodeview.user_id;
      var eType = drupalSettings.rtub.nodeview.event_type;
      var newNode = {event: {eData: eData, user_id: user_id, eType: eType}};
      postNode(newNode);
    }
  }

  function postNode(node) {
    jQuery.ajax({
      url: Drupal.url('rtub/post'),
      type: 'POST',
      data: node,
      dataType: 'json'
    });
  }
  Drupal.behaviors.rtub_ct = {
    attach: function (context) {
      init();
    }
  };
})(jQuery, Drupal, drupalSettings);
